Installation Wims-Modtool

Vous lisez 10 fils de discussion
  • Auteur
    Messages
    • #5740
      virginie
      Participant
      Up
      0
      Down

      Bonjour,
      aprés avoir testé Wims avec plaisir sur le serveur de l’université Paris Sud, nous sommes en train d’installer un serveur miroir dans notre institution. J’ai importé le backup d’un module que j’avais fait sur le serveur de Paris Sud et qui y fonctionnait bien.

      Que ce soit dans ‘Document Manager’ ou dans ‘Test the module’, la page indique ‘!changeto docu/main.phtml ‘ au lieu du contenu du fichier latex attendu.

      Il semble que latex2wims ne fonctionne pas. En effet, apres avoir fait tourné latex2wims, ‘Test the module’ m’envoie maintenant le message: ‘The block main is not yet created. ‘ Dans ‘Document manager’, le message est: ‘The block main is not yet created. Create it. Je peux le créer en copiant le contenu du fichier ‘main’ à partir de celui que j’ai sur le serveur de Paris SUd, et ainsi manuellement, je peux créer chacune des pages html.

      Auriez-vous un conseil sur la facon de sortir de cette impasse? J’imagine que quelque chose est mal installé de notre côté. Merci!

    • #5741
      bernadette
      Maître des clés
      Up
      0
      Down

      Je suppose que tu as essayé avec le même document que sur le serveur d’Orsay.

      Ce qui est utilisé Latex2wims est perl. D’abord, est-ce que le module perl supplémentaire dans
      https://wiki.wimsedu.info/doku.php?id=installation:apple:macosx_brew#modules_perl
      est bien installé ?

      Bernadette

    • #5744
      OlivierOlivier
      Maître des clés
      Up
      0
      Down

      Je me permet d’ajouter la doc pour Debian (celle ci-dessus est pour Mac) :

      https://wiki.wimsedu.info/doku.php?id=installation:debian:manual

      Olivier Bado-Faustin / Université Nice Sophia Antipolis

    • #5750
      virginie
      Participant
      Up
      0
      Down

      Bonjour à vous 2,
      nous avons suivi l’installation sous Ubuntu/Debian et à priori suivi toutes les étapes. Je ne sais pas comment vérifier cependant si perl est bien installé? J’ai vu dans un ancien message du forum que la bonne installation du validateur html par exemple pouvait être vérifiée dans le site de maintenance de Wims, sur la page de validation des logiciels, mais je ne vois d’informations que sur des logiciels tiers sur cette page (Maxima, etc).
      merci encore!

    • #5751
      Julien
      Modérateur
      Up
      0
      Down

      Pour vérifier tu tapes la ligne de commande suivante : dpkg -l |grep perl

      • Cette réponse a été modifiée le il y a 4 mois et 1 semaine par Julien.
    • #5753
      bernadette
      Maître des clés
      Up
      0
      Down

      Est-ce que tu peux faire tourner latex2wims en ayant activé le mode « debug »
      (Configuration et Maintenance, Questions techniques, Mode débogage sur oui)
      avec une IP déclarée (dans Configuration et Maintenance, IP de maintenance du site)?
      Histoire de voir les messages d’erreur qui s’affichent en bas de la page
      quand cela échoue.

      Bernadette

    • #5754
      virginie
      Participant
      Up
      0
      Down

      @Olivier, Perl est bien installé, merci pour la commande.

      @Bernadette
      , voilà ce que j’obtiens comme erreur en mode debug:
      ERROR from sh:
      Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <– HERE in m/\\(begin|end){ <– HERE document}/ at /home/wims/public_html/modules/adm/latex2wims/latex2wims.pl line 1253.
      Unescaped left brace in regex is illegal here in regex; marked by <– HERE in m/\G{ <– HERE / at /usr/share/perl/5.26/Text/Balanced.pm line 318.

      Merci de nouveau!

    • #5755
      bernadette
      Maître des clés
      Up
      0
      Down

      OK. Cela était corrigé normalement mais récemment. Quelle version de wims avez-vous ?

      Bernadette

    • #5756
      virginie
      Participant
      Up
      0
      Down

      version installée: WIMS-4.19d

    • #5757
      bernadette
      Maître des clés
      Up
      0
      Down

      Je viens de vérifier, on a corrigé ensuite. On n’avait pas de problème sur wimsauto car on doit avoir une ancienne version de perl …
      Bon, on doit sortir, si tout va bien, la version 4.19e d’ici deux ou trois jours.
      Donc le mieux est que tu attendes cette version. Sinon, je peux t’indiquer le fichier à remplacer.

    • #5758
      virginie
      Participant
      Up
      0
      Down

      pas de problème, j’attend la version suivante! merci encore.

Vous lisez 10 fils de discussion
  • Vous devez être connecté pour répondre à ce sujet.